Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.io
Class BaseExportOutput

    java.lang.Object
      com.jaspersoft.jasperserver.export.io.BaseExportOutput

All Implemented Interfaces:
  ExportOutput

Direct Known Subclasses:
  FileSystemOutput, ZipFileOutput

    public abstract class BaseExportOutput

extends java.lang.Object
implements ExportOutput

Version:
  $Id: BaseExportOutput.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`BaseExportOutput()`

Method Summary
`java.io.OutputStream` | `getFileOutputStream(java.lang.String parentPath, java.lang.String path)`
`java.lang.String` | `mkdir(java.lang.String parentPath, java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.export.io.ExportOutput
`close, getFileOutputStream, mkdir, open`

Constructor Detail

### BaseExportOutput

    public BaseExportOutput()

Method Detail

### mkdir

    public java.lang.String mkdir(java.lang.String parentPath,
                                  java.lang.String path)
                           throws java.io.IOException

  Specified by:
    `mkdir` in interface `ExportOutput`
  Throws:
    `java.io.IOException`

### getFileOutputStream

    public java.io.OutputStream getFileOutputStream(java.lang.String parentPath,
                                                    java.lang.String path)
                                             throws java.io.IOException

  Specified by:
    `getFileOutputStream` in interface `ExportOutput`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.